Bug 220545 - missing dependancy on ORBit2.
Summary: missing dependancy on ORBit2.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-22 01:03 UTC by Dave Jones
Modified: 2015-01-04 22:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 01:36:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2006-12-22 01:03:35 UTC
I was removing all the desktop'y stuff from a headless server, and did..

yum remove -y ORBit2-2.14.3-4.fc6.x86_64

It removed orbit, but then dozens of the dependancies started failing during
uninstallation because libORBit-2.so.0 had disappeared..

  Removing  : ORBit2                       ####################### [25/87]
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
  Removing  : gcalctool                    ####################### [26/87]
  Removing  : bluez-utils                  ####################### [27/87]
  Removing  : libgnome                     ####################### [28/87]
  Removing  : gnome-python2-extras         ####################### [29/87]
  Removing  : gnome-python2-gnomevfs       ####################### [30/87]
  Removing  : libgsf                       ####################### [31/87]
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
  Removing  : gnome-terminal               ####################### [32/87]
warning: /etc/ntp/ntpservers saved as /etc/ntp/ntpservers.rpmsave
  Removing  : system-config-date           ####################### [33/87]
  Removing  : gnome-python2-desktop        ####################### [34/87]
  Removing  : ORBit2-devel                 ####################### [35/87]
  Removing  : pirut                        ####################### [36/87]
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
  Removing  : nautilus-cd-burner           ####################### [37/87]
  Removing  : gnome-mount                  ####################### [38/87]
  Removing  : gnome-user-share             ####################### [39/87]
  Removing  : gnome-spell                  ####################### [40/87]
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory
gconftool-2: error while loading shared libraries: libORBit-2.so.0: cannot open
shared object file: No such file or directory


Should gconf depend on ORBit2 perhaps ?

Comment 1 Matthias Clasen 2007-09-25 01:36:35 UTC
[mclasen@localhost ~]$ rpm -q --requires GConf2 | grep ORBit
libORBit-2.so.0

So whatever problem you had should be fixed in F8, at least.


Note You need to log in before you can comment on or make changes to this bug.